-- Author: VertexFloat
-- Date: 20.03.2022
-- Version: Farming Simulator 22, 1.0.0.1
-- Copyright (C): VertexFloat, All Rights Reserved
-- Main function of handling all functions of BewareOfStraw

-- Changelog (1.0.0.1) :
--
-- Adaptation to new functions of mod

-- Changelog (1.0.0.3) :
--
-- updated to patch 1.4.1

source(g_currentModDirectory .. "src/misc/BewareOfStraw.lua")

local function init()
	g_specializationManager:addSpecialization('BewareOfStrawCutter', 'BewareOfStrawCutter', Utils.getFilename('src/vehicles/specializations/BewareOfStrawCutter.lua', g_currentModDirectory), nil)
	
	for vehicleName, vehicleType in pairs(g_vehicleTypeManager.types) do
		if SpecializationUtil.hasSpecialization(Cutter, vehicleType.specializations) then
			g_vehicleTypeManager:addSpecialization(vehicleName, 'BewareOfStrawCutter')
		end
	end
	
	Cutter.registerFunctions = Utils.appendedFunction(Cutter.registerFunctions, BewareOfStraw.registerFunctions)
	
	Combine.addCutterArea = Utils.overwrittenFunction(Combine.addCutterArea, BewareOfStraw.addCutterArea)
end

init()